% Import mesh data
ref = 1;

[R,p,elements,bdrynodes,nt_aux,nf,rawData,dirichlet] = import_mesh(sprintf('UniCircle%d.msh',ref));
s = size(dirichlet,1);
coordinates = p';
dirichlet = dirichlet(1:floor(s/4),:);
neumann = dirichlet(floor(s/4)+1:end,:);
uD = @(x) 0;
g = @(x) 0;
f = @(x) sin(10*x(:,1));

% Run codes  
tic;
[x0] = solveLaplace0(coordinates,elements,dirichlet,neumann,f,g,uD);
toc;
[x1] = solveLaplace1(coordinates,elements,dirichlet,neumann,f,g,uD);
toc;
[x] = solveLaplace(coordinates,elements,dirichlet,neumann,f,g,uD);
toc;
trimesh(elements,coordinates(:,1),coordinates(:,2),x)